Description
Certainly, EVE uses some sort of parent/child system in developing it's Ul.

Would be nice if we could look through the hierarchy and get more direct access to buttons/text areas/tabs/lists/etc so we can call
any button and read any text window.

Similarly, it would be nice to be able to call any function in the contextual menu that appears when right clicking an item.

This would add a plethora of features, such as adding bounties, refining, purchasing items with LP, purchasing new clones and jump
clones, and countless other features that could be manually implemented in middleware. In essence, it would allow any function to be
imlpemented manually rather than waiting for a specific direct function call that has more chances of breaking on patch.

Furthermore, getEveWindows doesnt currently return main windows such as |_login and Desktop

History

#1 - 2014-09-29 12:27 PM - aj2k88@gmail.com

PS: Using Ul functions would also reduce chance of server side detection by preventing impossible server messages.

#2 - 2014-09-29 04:12 PM - CyberTech
FYI, Login is handled by the Login TLO.

The context menu is not likely to happen; all context menus are built on the fly by a giagantonormous monolithic function, and would not be efficient to
reimplement in ISXEVE.

It would be better in the future to break feature requests into discrete requests :)
#3 - 2014-09-30 09:45 PM - Amadeus

- Status changed from New to Closed

- Assignee set to Administrators

Yes, lower level Ul access is not really realistic with EVE with a c++ application interface like innerspace/ISXEVE. Simply create requests for the
things you need, and the reason why, and we can look into adding it. If there are multiple windows that share functionality, that can be done as we
go. However, for now, the only things that are easy to impliment across all windows is already in (i.e., "close", "minimize", etc.)
